#!/bin/bash
set -o xtrace 
## This script is responsible for
## invoking the update_repo.sh script 
## when using github actions
## with the proper environement set up
## Usage:
## build_nightly_hipsycl.sh [path to devops dir] [args for update_repo.sh]
## 
## In case it is not otherwise specified in the HIPSYCL_PKG_ENV_FILE
## environment variable the ~/envs.out file is read.

source /etc/profile
source ${HIPSYCL_PKG_ENV_FILE:-~/envs.out}
cd $1
set -e

bash ./update_repo.sh $2 $3 $4
